*{
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}
body, html{
    margin: 0px;
    overflow-x: hidden;
    height: 100%;
    color: #808080;
}
body{
    display: grid;
    grid-template-rows: 60px auto 50px;
    background-color: orange;
    font-family: 'Open sans';
}
.container{
    background-color: #fff;
    
}

.form-group {
    margin-bottom: 0px;
}

.rnd-corn-15{
    border-radius: 15px;
}
.fullheightcontainer{
    min-height: 100%;
}
.navbar-top .container{
    height: 60px;
}
.bg-black{
    background-color: #000;
}

button{
    border: 0px;
    font-weight: 900;
}
hr{
    margin:  0px 0px 7px 0px;
    border-top: 2px solid #eee;
}
p{
    font-size: 14px;
}

h1{
    color: #000;
    font-size: 30px;
}

h2{
    color: #000;
    font-size: 24px;
}
 
h3{
    color: #000;
    font-size: 18px;
}
 
a{
    text-decoration: none;
    color: inherit;
}
a:hover{
    text-decoration: none;
    color: inherit;
}

ul{
    list-style-type: none;
    -webkit-margin-before: 0em;
    -webkit-margin-after: 0em;
    -webkit-margin-start: 0px;
    -webkit-margin-end: 0px;
    -webkit-padding-start: 0px;
}

ul.dotted-list{
    list-style-type: disc;
    -webkit-padding-start: 20px;
}
ul.letter-list{
    list-style-type: upper-alpha;
    -webkit-padding-start: 20px;
}

.navbar-top{
    width: 100%;
    height: 60px;
    padding: 0px;
    background-color: black;
}

.navbar-header{
    height: 100%;
    padding: 10px 0px;
    margin: 0px !important;
}

.navbar-top ul{
    height: 60px;
    float: right;
    text-decoration: none;
    color: #fff;
    padding: 0px;
}

.navbar-top ul li{
    padding: 15px 0px;
    display: inline-block;
    height: 100%;
}
.navbar-top ul li a{
    line-height: 25px;
    height: 25px;
    padding: 0px 10px;
    border-right: 1px solid orange;
}

.navbar-top ul li:last-child a{
    border-right: 0px;
}

.navbar-top ul li a:hover{
    background-color: orange;
    color: #fff;
}

#nav-icon1 {
    width: 30px;
    height: 25px;
    position: relative;
    margin-left: auto;
    margin-right: auto;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .25s ease-in-out;
    -moz-transition: .25s ease-in-out;
    -o-transition: .25s ease-in-out;
    transition: .25s ease-in-out;
    cursor: pointer;
    z-index: 10;
}

#nav-icon1 span {

    display: block;
    position: absolute;
    height: 2px;
    width: 100%;
    background: #fff;
    border-radius: 0px;
    opacity: 1;
    left: 0;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .25s ease-in-out;
    -moz-transition: .25s ease-in-out;
    -o-transition: .25s ease-in-out;
    transition: .25s ease-in-out;
}

#nav-icon1 span:nth-child(1) {
    top: 0px;
}

#nav-icon1 span:nth-child(2) {
    top: 12px;
}

#nav-icon1 span:nth-child(3) {
    top: 24px;
}

#nav-icon1.open span:nth-child(1) {
    top: 12px;
    -webkit-transform: rotate(135deg);
    -moz-transform: rotate(135deg);
    -o-transform: rotate(135deg);
    transform: rotate(135deg);
}

#nav-icon1.open span:nth-child(2) {
    opacity: 0;
    left: -60px;
}

#nav-icon1.open span:nth-child(3) {
    top: 12px;
    -webkit-transform: rotate(-135deg);
    -moz-transform: rotate(-135deg);
    -o-transform: rotate(-135deg);
    transform: rotate(-135deg);
}

.homegif{
    justify-self: center;
    align-self: center;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto auto;
    margin: 0px auto;
    width: fit-content;
    grid-column-gap: 50px;
}
#companyaccount{
    display: none;
}
#startContainer{
    justify-self: center;
    align-self: center;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto auto;
    width: fit-content;
    grid-column-gap: 50px;
}

#homeContainer .container{
    background-color: transparent;
    min-height: auto;
}

.homegif div{
    grid-column: 1/3;
}
.homegif a:first-of-type{
    grid-column: 1/3;
}
.homegif a button{
    width: 100%;
}

footer{
    height: fit-content;;
    background-color: #000;
    color: #fff;
    width: 100%;
    text-align: center;
    padding: 10px 0px;
}

footer p{
    margin: 0px;
    font-size: 12px;
}
footer span{
    padding: 0px 5px;
}

footer span:not(:last-child){
    border-right: 1px solid orange;
}
footer span:first-child{
    padding-left: 0px;
}

.homegif img{
    display: block;
    margin: 0px auto;
}

#locationslist{
    grid-gap:20px;
}

#popup{
    position: fixed;
    width: 100%;
    height: 100%;
    display: grid;
    top: 0px;
    left: 0px;
    background-color: rgba(0, 0, 0, 0.5);
}
.popup-box{
    background-color: #fff;
    border:1px solid black;
    padding: 20px;
    width: 300px;
}
.popup-box h3{
    margin:0px;
}
/* GLOBALS */
.bttn{
    width: 100%;
    border: 2px solid transparent;
}
.bttn-fit{
    border: 2px solid transparent;
    width: fit-content;
}
.bttn:hover{
    border: 2px solid transparent;
    -webkit-box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
    -moz-box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
    box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
}

.btn-big{
    height: 80px;
    font-size: 24px;
}

.btn-md{
    height: 50px;
    font-size: 16px;
}
.btn-small{
    height: 30px;
    font-size: 14px;
}

button:disabled{
    pointer-events: none;
    background-color: #808080 !important;
}

button:focus {outline:0px;}
.btn-border-red{
    border: 1px solid #D90504;
    background-color: #fff;
    color: #D90504;
    font-weight: bold;
}
.btn-border-red:hover{
    border: 2px solid #D90504;
}
.btn-red{
    background-color: #D90504 !important;
    color: #fff !important;
}
.btn-green{
    background-color: #00C65E !important;
    color: #fff !important;
}
.btn-orange{
    background-color: orange;
    color: #fff;
}

.btn-black{
    background-color: #000;
    color: #fff;
}

.btn-square-md{
    width: 30px;
    height: 30px;
    padding: 0px;
    text-align: center;
}
.btn-square-lg{
    width: 47px;
    height: 47px;
    padding: 0px;
    text-align: center;
}

.row-gap{
    grid-row-gap: 20px;
}

.header{
    grid-template-columns: auto 30px;
    line-height: 60px;
}
.header h1{
    height: auto;
    margin-top:10px;
    margin-bottom:10px;
    font-weight: bold;
}

.center{
    display: block;
    margin: 0px auto;
}
.fit-content{
    width: fit-content;
}
.forgotten{
    text-align: center;
    font-size: 10px;
    display: block;
}
.back{
    font-size: 24px;
    text-align: right;
    cursor: pointer;
    color: #000;
}

.location-params p{
    font-weight: 700;
    color: orange;
}

.location-params span{
    font-weight: 700;
    color: #808080;
}

.location-item{
    grid-template-columns: 30px 5fr 1fr;
    grid-template-rows: auto auto;
    border:1px solid black;
    padding: 15px;
}

.location-item-id{
    grid-row: 1/3;
    font-weight: 700;
    color:orange;
}
.location-item-name{
    grid-column: 2/4;
}
.location-item-info{
    grid-column-start: 2;
    grid-template-columns: 120px auto;
}
.location-select{
    grid-row: 2 / 3;
    grid-column: 3/4;
    align-self: end;
}
.loginform{
    grid-template-columns: auto;
}

.parking-info{
    grid-template-columns: 140px auto;
}
.parking-info p{
    font-weight: bold;
}
#parking-name{
    font-weight: bold;
    font-size:24px;
}
#parking-address{
    font-weight: normal;
    color: #808080;
}

.booking-dates{
    grid-template-columns: 50px auto;
    line-height: 35px;
    font-weight: bold;
}
.booking-dates p, .booking-dates div{
    margin-bottom: 0px;
}

.grey{
    color: #808080;
}
.grid2col{
    grid-template-columns: 1fr 1fr;
    grid-gap: 20px;
}
.b{
    font-weight: bold;
}

.required{
    color: red;
}
.grid-center{
    align-self: center;
    justify-self: center;
}
.tc-list{
    padding-left: 20px;
}
.tc-list li{
    margin-bottom: 5px;
    text-align: justify;
}
#parking-rows{
    display: grid;
    grid-template-columns: repeat(auto-fill ,minmax(60px, 100px));
    grid-gap: 10px;
}
#parking-rowlocks{
    display: grid;
    grid-template-columns: repeat(auto-fill ,minmax(60px, 100px));
    grid-gap: 10px;
}
.lock-id{
    font-size: 24px;
    font-weight: bold;
}

#no-locks, #no-days, #total-amount, #rate{
    text-align: right;
}
#note{
    padding: 20px;
    border:1px solid black;
}
#note ul{
    padding-left: 20px;
}
.message{
    text-align:center;
}
.message i{
    width: 100px;
    height: 100px;
    border-radius: 50px;
    line-height: 90px;
    font-size: 50px;
}
.message i.green{
    border:5px solid #7ACC00;
}
.message i.red{
    border:5px solid #D90504;
}
.parking-row{
    background-color:#fff;
    border: 2px solid orange !important;
    color: orange;;
    height: 50px;
    line-height: 50px;
}
.parking-row.selected{
    background-color:orange;
    color: #fff;
}
.parking-row:disabled{
    border: 0px !important;
    color: #fff;
}
.parking-row:disabled .row-locks{
    color: #fff;
}
.parking-rowlocks,.parking-rows, .parking-lockdata{
    display: none;
}
.row-letter{
    font-size:30px;
    font-weight: bold;
    margin-right: 10px;
}
.row-locks{
    color: black;
    font-weight: bold;
}

.parking-lock{
    background-color:#fff;
    height: 50px;
    line-height: 50px;
    text-align: center !important;
    justify-content: center !important;
}

.parking-lock.open, .parking-lock.free{
    border: 2px solid #7ACC00;
    color: #7ACC00;
}
.parking-lock.open.selected, .parking-lock.free.selected{
    background-color: #7ACC00;
    color: #fff;
}
.parking-lock.online{
    border: 2px solid rgb(69, 156, 255);
    color: rgb(69, 156, 255);
}
.parking-lock.online.selected{
    background-color: rgb(69, 156, 255);
    color: #fff;
}

.parking-lock.closed, .parking-lock.taken{
    border: 2px solid #D90504;
    color: #D90504;
}
.parking-lock.closed.selected, .parking-lock.taken.selected{
    background-color: #D90504;
    color: #fff;
}
.parking-lock.offline{
    border: 2px solid #000000;
    color: #000000;
}
.parking-lock.offline.selected{
    background-color: #000000;
    color: #fff;
}

.parking-lock:disabled{
    border: 0px !important;
    color: #fff;
}
.parking-lock:disabled{
    color: #fff;
}

.align-b{
    align-self: end;
}

.timepicker {
    margin-left: 1px solid #808080 !important;
}

.container{
    padding-right: 30px;
    padding-left:30px;
}

.m-xl{
    margin: 50px;
}
.mb-xl{
    margin-bottom: 50px;
}
.mt-xl{
    margin-top: 50px;
}
.ml-xl{
    margin-left: 50px;
}
.mr-xl{
    margin-right: 50px;
}

.m-lg{
    margin: 40px;
}
.mb-lg{
    margin-bottom: 40px;
}
.mt-lg{
    margin-top: 40px;
}
.ml-lg{
    margin-left: 40px;
}
.mr-lg{
    margin-right: 40px;
}

.m-md{
    margin: 30px;
}
.mb-md{
    margin-bottom: 30px;
}
.mt-md{
    margin-top: 30px;
}
.ml-md{
    margin-left: 30px;
}
.mr-md{
    margin-right: 30px;
}

.m-sm{
    margin: 20px;
}
.mb-sm{
    margin-bottom: 20px;
}
.mt-sm{
    margin-top: 20px;
}
.ml-sm{
    margin-left: 20px;
}
.mr-sm{
    margin-right: 20px !important;
} 

.m-xs{
    margin: 10px;
}
.mb-xs{
    margin-bottom: 10px;
}
.mt-xs{
    margin-top: 10px;
}
.ml-xs{
    margin-left: 10px;
}
.mr-xs{
    margin-right: 10px;
}

.p-xl{
    padding: 50px;
}
.pb-xl{
    padding-bottom: 50px;
}
.pt-xl{
    padding-top: 50px;
}
.pl-xl{
    padding-left: 50px;
}
.pr-xl{
    padding-right: 50px;
}

.p-lg{
    padding: 40px;
}
.pb-lg{
    padding-bottom: 40px;
}
.pt-lg{
    padding-top: 40px;
}
.pl-lg{
    padding-left: 40px;
}
.pr-lg{
    padding-right: 40px;
}

.p-md{
    padding: 30px;
}
.pb-md{
    padding-bottom: 30px;
}
.pt-md{
    padding-top: 30px;
}
.pl-md{
    padding-left: 30px;
}
.pr-md{
    padding-right: 30px;
}

.p-sm{
    padding: 20px;
}
.pb-sm{
    padding-bottom: 20px;
}
.pt-sm{
    padding-top: 20px;
}
.pl-sm{
    padding-left: 20px;
}
.pr-sm{
    padding-right: 20px;
}

.p-xs{
    padding: 10px;
}
.pb-xs{
    padding-bottom: 10px;
}
.pt-xs{
    padding-top: 10px;
}
.pl-xs{
    padding-left: 10px;
}
.pr-xs{
    padding-right: 10px;
}


.grid{
    display: grid;
}


.grid-col-2{
    grid-template-columns: 1fr 1fr;
}
.modal-body .grid-col-2{
    grid-template-columns: auto auto;
}
.grid-col-2-all{
    grid-template-columns: 1fr 1fr;
}
.grid-col-2-auto{
    grid-template-columns: auto auto;
}
.grid-col-3{
    grid-template-columns: 1fr 1fr 1fr;
}
.grid-col-4{
    grid-template-columns: 1fr 1fr 1fr 1fr;
}

.gap-20{
    grid-gap:20px
}
.gap-40{
    grid-gap:40px
}
.column-1-2{
    grid-column: 1/2;
}
.column-1-3, .column-1-3-sm{
    grid-column: 1/3;
}
.column-1-5{
    grid-column: 1/5;
}
.column-1-4{
    grid-column: 1/4;
}
.column-2-3{
    grid-column: 2/3;
}
.column-2-4{
    grid-column: 2/4;
}
.column-3-4{
    grid-column: 3/4;
}

.row-1-2{
    grid-row: 1/2;
}
.row-1-3{
    grid-row: 1/3;
}
.row-1-4{
    grid-row: 1/4;
}
.row-2-3{
    grid-row: 2/3;
}
.row-2-4{
    grid-row: 2/4;
}
.row-3-4{
    grid-row: 3/4;
}
.gap-15{
    grid-gap:15px;
}
.text-r{
    text-align: right;
}
.text-l{
    text-align: left;
}
.text-c{
    text-align: center;
}
.align-r{
    float: right;
}
.align-l{
    float: left;
}
.overflow-visible{
overflow: visible !important;
}
.release-item-summary{
    display: block;
    float: right;
    width: 60px;
    text-align: center;
    margin: 0px 10px;
}
.red{
    color:#D90504;
}
.orange{
    color: orange;
}
.grey{
    color: #808080;
}
.register-steps div, .register-steps i{
    height: 60px;
    line-height: 60px;
}
.step-box{
    border: 1px solid orange;
    padding: 10px 10px;
    height: 60px;
}
.green{
    color:#7ACC00;
}
.white{
    color:#fff;
}
.bg-red{
    background-color: #D90504;
}
.bg-green{
    background-color: #7ACC00;
}
.bg-black{
    background-color: #000;
}
.bg-orange{
    background-color: orange;
}
.btn-login i{
    margin-right: 5px;
}
.btn-login:hover{
    background-color: #fff !important;
    color: orange !important;
}

.input-button{
    width: 100%;
    position: relative;
}

.group-span-filestyle label{
    background-color: orange;
    color: #fff;
    border:1px solid orange;
    font-weight: bold;
    height: 30px;
    border-radius: 0px;
    padding: 0px 10px;
    line-height: 30px;
}
.group-span-filestyle label:hover{
    background-color: orange;
    color: #fff;
    -webkit-box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
    -moz-box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
    box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
}
.bootstrap-filestyle input{
    background-color: #fff !important;
    border-radius: 0px !important;
    border: 1px solid #000;
    height: 30px;
    padding-left: 10px;
    -webkit-box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
    -moz-box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
    box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
}
.input-button button{
    position: absolute;
    top:0px;
    right: 0px;
}

.input-button input{
    padding-right: 40px;
}
textarea{
    width: 100%;
    min-height: 80px;
    resize: vertical;
    border: 1px solid #000;
    padding-left: 10px;
    -webkit-box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
    -moz-box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
    box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
}

input, select{
    width: 100%;
    border: 1px solid #000;
    background-color: #ffffff;
    height: 30px;
    padding-left: 10px;
    -webkit-box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
    -moz-box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
    box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
}
select:disabled{
    background-color:rgb(235, 235, 228);
}
input[type=checkbox], input[type=radio]{
    width:25px !important;
    height:25px;
    position: relative;
    margin: 0px;
}
.navbar-toggle {
    border-radius: 0px;
    border: 0px;
    margin: 0px;
    padding: 8px 0px;
}

.navbar-toggle:hover {
    background-color: transparent !important;
}

.navbar-toggle:focus {
    background-color: transparent !important;
}

.collapsing,
.navbar-collapse.in {
    height: auto !important;
    border: 0px;
    background-color: #fff;
    color:#000;
    position: absolute;
    right: 0px;
    margin-right: 0px;
    z-index: 1000;
    padding: 15px 15px 15px 15px;
    float: right;
    display: block;
    -webkit-box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0.5);
    -moz-box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0.5);
    box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0.5);
}

.collapsing {
    float: right;
    width: auto;
    margin-right: 0px !important;
    margin-left: 0px !important;
    right: 0px;
}

.navbar-collapse.in {
    margin-right: 0px;
    margin-left: 0px;
    right: 0px;
}
#menutoggle{
    padding: 0px;
}
#menutoggle li a.active{
    background-color: orange;
}
.navbar-collapse li, 
.navbar-collapse.in li, 
.collapsing li{
    text-align: right;
    display: block !important;
}

.navbar-collapse.in ul,
.collapsing ul{
    display: block;
    color: #000;
    height: auto !important;
    margin: 0px;
    padding: 0px;
}

/* The container */
.checkbox-container, .radio-container {
    line-height: 19px;
    display: block;
    position: relative;
    padding-left: 35px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

/* Hide the browser's default checkbox */
.checkbox-container input, .radio-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    margin-left: -35px;
}

.checkbox-container span , .radio-container span{
    height: 25px;
    
    font-size: 14px;
}

/* Create a custom checkbox */
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    border: 1px solid black;
    background-color: #fff;
    -webkit-box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
    -moz-box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
    box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
    pointer-events: none;
}

.radiomark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    border-radius: 25px;
    width: 25px;
    border: 1px solid black;
    background-color: #fff;
    -webkit-box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
    -moz-box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
    box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
    pointer-events: none;
}

/* On mouse-over, add a grey background color */
.checkbox-container:hover input ~ .checkmark , .radio-container:hover input ~ .radiomark {
    background-color: #fff;
}

/* When the checkbox is checked, add a blue background */
.checkbox-container input:checked ~ .checkmark , .radio-container input:checked ~ .radiomark {
    background-color: #fff;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after, .radiomark:after{
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.checkbox-container input:checked ~ .checkmark:after , .radio-container input:checked ~ .radiomark:after  {
    display: block;
}

/* Style the checkmark/indicator */
.checkbox-container .checkmark:after  {
    left: 4px;
    top: 4px;
    width: 15px;
    height: 15px;
    background-color: orange;
}
.radio-container .radiomark:after{
    left: 4px;
    top: 4px;
    width: 15px;
    height: 15px;
    background-color: orange;
    border-radius:8px;
} 
.loader {
    border: 10px solid #f3f3f3;
    border-radius: 50%;
    border-top: 10px solid orange;
    width: 50px;
    height: 50px;
    -webkit-animation: spin 2s linear infinite; /* Safari */
    animation: spin 2s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
0% { -webkit-transform: rotate(0deg); }
100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
0% { transform: rotate(0deg); }
100% { transform: rotate(360deg); }
}

.input-group-addon{
    background-color: orange;
    color:#fff;
    border:2px solid transparent;
    border-radius: 0px;
}
.input-group-addon:hover{
    -webkit-box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
    -moz-box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
    box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
}

.custom-file-upload {
    color: #fff;
    background-color: orange;
    display: inline-block;
    padding: 6px 12px;
    cursor: pointer;
}

/* ASSIDE MENU */
#asside-menu-activetab{
    display:none;
}
#toggle-assidemenu{
    display: none;
    cursor: pointer;
    background-color: #fff;
    border: 2px solid orange;
    color: orange;
}
#toggle-assidemenu:hover{
    background-color: orange;
    color: #fff
}
.asside-container{
    display: grid;
    grid-template-columns: 200px auto;
}

.asside-menu{
    border-right: 1px solid #808080;
    padding-right: 20px;
}

.asside-menu ul{
    list-style-type: none;
    -webkit-margin-before: 0px;
    -webkit-margin-after: 0px;
    -webkit-margin-start: 0px;
    -webkit-margin-end: 0px;
    -webkit-padding-start: 0px;
}

.asside-menu ul li{
    border: 1px solid orange;
    margin: 5px 0px;
    padding: 10px;
    font-size: 18px;
    font-weight: bold;
    cursor: pointer;
    display: block;
}

.asside-menu ul li:first-child{
    margin: 0px;
}

.asside-menu ul li.active, .asside-menu ul li:hover{
    border: 1px solid orange;
    background-color: orange;
    color:#fff;
}

.asside-content section{
    padding:0px 20px;
}
.asside-content section:first-child{
    border-right: 1px solid #808080;
}
.editable-info{
    display: grid;
    grid-template-columns: 2fr 3fr 30px;
}
.editable-info-bikes{
    display: grid;
    grid-template-columns: 2fr 3fr 30px;
}
.editable-info-bikes{
    display: grid;
    grid-template-columns: 2fr 3fr 30px;
}
.editable-info.opening-hours form{
    display: grid;
    grid-template-columns: 50px 20px 50px 30px;
}
.editable-info.opening-hours form span{
    text-align: center;
    line-height: 30px;
}
.editable-info.opening-hours form button{
    float: right;
}
.editable-info button{
    color: orange;
    background-color: transparent;
    font-size: 18px;
}

.editable-info-bikes button{
    color: orange;
    background-color: transparent;
    font-size: 18px;
}

.noneditable-info{
    display: grid;
    grid-template-columns: 2fr 3.4fr;
}

.nfc-item, .rfid-item{
    margin-bottom: 10px;
    display: grid;
    border: 1px solid #808080;
    padding: 15px;
}
.nfc-item{
    grid-template-columns: 40px auto 150px;
}
.rfid-item{
    grid-template-columns: 80px auto;
}
.nfc-icon, .rfid-icon{
    font-size: 50px;
    float: left;
    width: 40px;
}

.nfc-item h3, .rfid-item h3{
    margin-top:5px;
}

.nfc-item button{
    float: right;
    width: 150px;
}

.asside-content .column-1-3{
    border-right:0px !important;
    padding-right: 0px;
}
.selectable tr{
    cursor: pointer;
}
.selectable tbody tr:hover{
    background-color: #dddddd;
}
.selectable tbody tr.selected{
    background-color: orange !important;
    color: #fff !important;
}
.selectable tbody tr.selected span{
    color: #fff !important;
}
table p{
    margin: 0px;
}
table td.child{
    white-space: pre-wrap !important;
}
.dataTables_wrapper input, .dataTables_wrapper select{
    width: auto;
} 

@media screen and (max-width: 640px){
    .dataTables_wrapper .dataTables_length, .dataTables_wrapper .dataTables_filter {
        float: left !important;
        width: 50%;
        padding: 10px;
        text-align: left !important;
    }
    .dataTables_wrapper .dataTables_length select{
        display: block !important;
        width: auto !important;
    }
    .dataTables_wrapper .dataTables_filter{
        margin: 0px !important;
    }
    .dataTables_wrapper .dataTables_filter input{
        width: 100%;
        margin: 0px !important;
    }
}

.input-btn{
    height: 30px;
    display: grid;
    grid-template-columns: 1fr 30px;
}
.input-btn input{
    float: left;
}
.input-btn button{
    float: left;
}

.input-btn button.btn-green{
    background-color: #00C65E;
    color: #fff;
}

.cardNumberField{
    display: grid;
    grid-template-columns: 1fr 100px;
    grid-gap: 10px;
}

@media only screen and (max-width: 1200px) {
    .container{
        width: 95%;
    }
}
@media only screen and (max-width: 768px) {
    .sm-col-2{
        grid-template-columns: 1fr 1fr;
    }
    p{
        overflow-wrap: break-word;
        word-wrap: break-word;
        word-break: break-word;
        -ms-hyphens: auto;
        -moz-hyphens: auto;
        -webkit-hyphens: auto;
        hyphens: auto;
    }
    #toggle-assidemenu{
        display: block;
    }
    #asside-menu-activetab{
        display:block;
    }
    .asside-container, .asside-content{
        grid-template-columns: 1fr;
    }
    .asside-menu, .asside-content section:first-child{
        border-right: 0px;
        padding-right: 0px;
    }
    .asside-menu ul li{
        display: none;
    }
    .asside-menu{
        display:grid;
        grid-template-columns: 1fr 50px;
    }
    .asside-content section{
        border: 0px;
        padding: 0px;
    }
    .nfc-item{
        grid-template-columns: 40px auto;
    }
    .nfc-item button{
        grid-column: 1/3;
        width: 100%;
    }
    .grid2col{
        display: block !important;
    }
    .container{
        width: 95%;
        padding-right: 15px;
        padding-left: 15px;
    }
    .location-item{
        grid-template-columns: auto;
        grid-template-rows: auto auto auto auto auto;
    }
    .location-select{
        grid-row: 4 / 5;
        grid-column: 1/3;
        align-self: end;
    }
    .location-item-id{
        grid-row: 1;
    }
    .location-item-info{
        grid-column-start: 1;
    }
    .location-item-name{
        grid-column: 1;
    }
    .grid-col-2{
        grid-template-columns: auto;
        /* grid-gap:15px; */
    }
    .modal-body .grid-col-2{
        grid-template-columns: auto;
        /* grid-gap:15px; */
    }
    .column-1-3-sm{
        grid-column: 1;
    }
    .grid-col-3{
        grid-template-columns: auto;
        grid-gap:15px;
    }
    .navbar-top{
        position: relative;
    }
    #menutoggle{
        position: absolute;
        padding: 0px 20px;
    }
    .navbar-top ul li a {
        line-height: 35px;
        height: 35px;
    }
    .navbar-top ul li a.active {
        background-color: orange;
        color: #fff;
    }
    .navbar-top ul li {
        padding: 10px 0px;
    }
}
@media only screen and (max-width: 500px) {
    .cardNumberField{
        grid-template-columns: 1fr;
    }
}


table.dataTable thead th, table.dataTable thead td {
    padding: 10px 18px 10px 8px !important;
}

/* MODAL */
.modal-overlay{
    position: fixed;
    top:0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 1000;
    background-color:rgba(0, 0, 0, 0.5);
    overflow-y: auto;
}

.modal-body{
    background-color: #fff;
    border-radius: 3px;
    max-width: 85%;
    margin: 20px 0px;
    padding: 20px;
}

.modalbody-header{
    border: 0px;
    padding: 0px;
    grid-template-columns: auto 30px;
    grid-gap: 15px;
    color: #000;
}
.modalbody-header i{
    font-size: 24px;
    cursor: pointer;
    width: 30px;
    height: 30px;
    text-align: right;
}
.modalbody-header h2{
    margin: 0px;
}

.autocomplete {
    /*the container must be positioned relative:*/
    position: relative;
    display: inline-block;
}
.autocomplete-items {
    position: absolute;
    border: 1px solid #d4d4d4;
    border-bottom: none;
    border-top: none;
    z-index: 99;
    /*position the autocomplete items to be the same width as the container:*/
    top: 100%;
    left: 0;
    right: 0;
}
.autocomplete-items div {
    padding: 10px;
    cursor: pointer;
    background-color: #fff; 
    border-bottom: 1px solid #d4d4d4; 
}

.autocomplete-items div:hover {
    /*when hovering an item:*/
    background-color: #e9e9e9; 
}

.autocomplete-active {
    /*when navigating through the items using the arrow keys:*/
    background-color: DodgerBlue !important; 
    color: #ffffff; 
}


.transparent {
    opacity: 0.2;
}

.has-error{
    border: 1px solid #D90504;
}

.unit-input{
    display: grid;
    grid-template-columns: 30px 1fr;
}
.unit-input-rev{
    display: grid;
    grid-template-columns:  1fr 30px;
}
.unit-input span, .unit-input-rev span{
    height: 30px;
    width: 30px;
    line-height: 30px;
    text-align: center;
    color: orange;
    font-weight: bold;
    border: 1px solid #000;
}
.unit-input span{
    border-right: 0px;
}
.unit-input-rev span{
    border-left: 0px;
}

#cvv{
    width: 100px;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    /* display: none; <- Crashes Chrome on hover */
    -webkit-appearance: none;
    margin: 0; /* <-- Apparently some margin are still there even though it's hidden */
}

.admin-locks-view{
    grid-template-columns: 60px 140px 150px 150px;
}



#contract-from{
    display: grid;
    grid-template-columns: 1fr 34px;
} 
#contract-from .input-group-addon{
    width: 100%;
}

#orderContract{
    display: none;
}

.booking-dates .input-group{
    width:50%;
    float:left;
    padding: 0px 5px;
}


/*Konieczne aby sweetalert2 dzialal poprawnie*/
.swal2-popup {
  font-size: 1.6rem !important;
}

.hr-scroll{
    overflow-x: scroll;
}

#user-managebookings td{
    vertical-align: middle;
}

table.dataTable.dtr-inline.collapsed>tbody>tr[role="row"]>td:first-child:before, table.dataTable.dtr-inline.collapsed>tbody>tr[role="row"]>th:first-child:before {
    top: auto !important;
}

.flash-orange{
	transition :0.2s;
	background-color: orange;
}
#user-locationslist table.dataTable.nowrap th, table.dataTable.nowrap td {
	white-space: pre-wrap !important;
}

#parking-package-contracts table.dataTable.nowrap th, table.dataTable.nowrap td{
    white-space: pre-wrap !important;
}





@media (max-width: 600px) {
    .btn-small-extra{
        font-size: 10px;
    }
	.btn-small{
		font-size: 12px;
	}
}

@media only screen and (max-width: 500px) {
    .admin-locks-view{
        grid-template-columns: 1fr;
    }
    .booking-dates .input-group {
        width: 100%;
        margin-bottom: 10px;
    }
}
@media only screen and (min-width: 768px) {
    .gap-15-min-md{
        grid-gap: 15px;
    }
}


.modal-body .bootstrap-datetimepicker-widget{
    z-index: 9999 !important;
    position: absolute !important;
}

/* #span-section #step3{
    display: none;
} */ 
/*  
#secStep-form, #thirdStep-form{
    display: none;
} */

#step2 span, #step1 span, #step3 span{
    cursor: pointer;
}

#step2 span:hover, #step1 span:hover, #step3 span:hover{
    font-weight: bold;
    color: orange;
}

.validation-error{
    display: none;
}

table.dataTable.dtr-column>tbody>tr>td.control:before, table.dataTable.dtr-column>tbody>tr>th.control:before{
    position: unset !important;
    display: inline-block !important;
    margin-right: 10px !important;
}

#admin-functions-table table.dataTable.no-wrap th, #admin-functions-table table.dataTable.no-wrap td{
    white-space: nowrap !important; 
}

table.dataTable>tbody>tr.child ul.dtr-details {
    width:100%;
    margin-bottom: 20px;
}

table.dataTable>tbody>tr.child ul.dtr-details .dtr-data{
    float: right;
}

/* 
.tab-menu {
    height: 40px;
    padding: 0px;
    position: relative;
    z-index: 1;
    margin: 0;
}

.tab-menu li {
    color: #A6A7AA;
    font-size: 0.85rem;
    border: 1px solid #ced4da;
    line-height: 2rem;
    padding: 0px;
    width: 20%;
    text-align: center;
    border-bottom: 0px;
    cursor: pointer;
    list-style: none;
    float: left;
    text-transform: uppercase;
}

.tab-menu li.active {
    color: #000;
    background: #ffffff;
    border-bottom: 1px solid #ffffff;
}

.tab-content {
    display: none;
}

.tab-content.active {
    display: block;
} */

.KxModalOverlay{
    width:100%;
    height: 100%;
    position: fixed;
    display: grid;
    align-content: center;
    justify-content: center;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 10000;
}

.KxModalOverlay .container{
    padding: 30px;
    display: grid;
    align-content: center;
    justify-content: center;
    height: auto;
}

.btn-transparent, .btn-transparent:hover, .btn-transparent:focus{
    background-color: transparent;
    border: 0px;
    outline: 0px;
}

.pos-tr{
    position: absolute;
    top:0px;
    right: 0px;
}